| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Selectors.FileChooserWidget

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors

Description

File chooser widget that can be embedded in other widgets

- Module available since Gtk+ version 2.4

Synopsis

data FileChooserWidget
class VBoxClass o => FileChooserWidgetClass o
castToFileChooserWidget :: GObjectClass obj => obj -> FileChooserWidget
toFileChooserWidget :: FileChooserWidgetClass o => o -> FileChooserWidget
data FileChooserAction
fileChooserWidgetNew :: FileChooserAction -> IO FileChooserWidget
fileChooserWidgetNewWithBackend :: FileChooserAction -> String -> IO FileChooserWidget

Detail
`FileChooserWidget` is a widget suitable for selecting files. It is the main building block of a `FileChooserDialog`. Most applications will only need to use the latter; you can use `FileChooserWidget` as part of a larger window if you have special needs. Note that `FileChooserWidget` does not have any methods of its own. Instead, you should use the functions that work on a `FileChooser`.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Box
     |                           +----VBox
     |                                 +----FileChooserWidget

Types
data FileChooserWidget

Instances

GObjectClass FileChooserWidget
FileChooserClass FileChooserWidget
FileChooserWidgetClass FileChooserWidget
VBoxClass FileChooserWidget
BoxClass FileChooserWidget
ContainerClass FileChooserWidget
WidgetClass FileChooserWidget
ObjectClass FileChooserWidget

class VBoxClass o => FileChooserWidgetClass o

Instances

FileChooserWidgetClass FileChooserWidget

castToFileChooserWidget :: GObjectClass obj => obj -> FileChooserWidget
toFileChooserWidget :: FileChooserWidgetClass o => o -> FileChooserWidget
Constructors
data FileChooserAction

Describes whether a `FileChooser` is being used to open existing files or to save to a possibly new file.
Instances

Enum FileChooserAction

fileChooserWidgetNew

:: FileChooserAction | `action` - Open or save mode for the widget
-> IO FileChooserWidget |
Creates a new `FileChooserWidget`. This is a file chooser widget that can be embedded in custom windows, and it is the same widget that is used by `FileChooserDialog`.

fileChooserWidgetNewWithBackend

:: FileChooserAction | `action` - Open or save mode for the widget
-> String | `backend` - The name of the specific filesystem backend to use.
-> IO FileChooserWidget |
Creates a new `FileChooserWidget` with a specified backend. This is especially useful if you use fileChooserSetLocalOnly to allow non-local files. This is a file chooser widget that can be embedded in custom windows and it is the same widget that is used by `FileChooserDialog`.

Produced by Haddock version 2.4.2